Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
new installation problem with vlc firefox and gcc 3.3
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
fabiolone
n00b
n00b


Joined: 18 Sep 2007
Posts: 11

PostPosted: Tue Sep 18, 2007 10:03 am    Post subject: new installation problem with vlc firefox and gcc 3.3 Reply with quote

hi all,
i'm a old linux boy and a new gentoo linux user.
after the installation step that i follow line to line from the website i emerge xfce4 and same other stuff.
i try to emerge firefox and vlc following the guide on the gentoo website but they try to emerge gcc 3.3 (why??)

this is my make.conf
Code:
USE="avahi gnome java -cups dbus hal -kde alsa hal acpi pam X png jpeg truetype gtk dvd quicktime divx gmedia realmedia wmp win32codecs nsplugins firef
ox xvid"
CHOST="i686-pc-linux-gnu"
CFLAGS="-march=pentium-m -Os -pipe -fomit-frame-pointer"
CXXFLAGS="${CFLAGS}"
VIDEO_CARDS="i810"
ALSA-CARDS="hda-intel"
#ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks\
#                  iec958 ioplug ladspa lfloat linear meter mulaw multi null plug\
#                  rate route share shm softvol"

MAKEOPTS="-j3"
LINGUAS="it"
GENTOO_MIRRORS="ftp://ftp.unina.it/pub/linux/distributions/gentoo http://mirror.ing.unibo.it/gentoo/"
INPUT_DEVICES="keyboard mouse synaptics"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"

FETCHCOMMAND="/usr/bin/axel -a -S10 \${URI} -o \${DISTDIR}"
RESUMECOMMAND="/usr/bin/axel -a -S10 \${URI} -o \${DISTDIR}"


when they try to compile gcc compilation is broke with this message.
Code:

 * Messages for package sys-devel/gcc-3.3.6-r1:

 *
 * ERROR: sys-devel/gcc-3.3.6-r1 failed.
 * Call stack:
 *   ebuild.sh, line 1654:   Called dyn_compile
 *   ebuild.sh, line 990:   Called qa_call 'src_compile'
 *   ebuild.sh, line 44:   Called src_compile
 *   ebuild.sh, line 1334:   Called toolchain_src_compile
 *   toolchain.eclass, line 26:   Called gcc_src_compile
 *   toolchain.eclass, line 1546:   Called gcc_do_make
 *   toolchain.eclass, line 1420:   Called die
 *
 * emake failed with bootstrap-lean
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/sys-devel/gcc-3.3.6-r1/temp/build.log'.
 *


how can i resolve it?

many thanks,
Fabio
Back to top
View user's profile Send private message
tw04l124
Veteran
Veteran


Joined: 03 Oct 2006
Posts: 1308
Location: A t z e l, lower austria

PostPosted: Tue Sep 18, 2007 10:22 am    Post subject: Reply with quote

Hi,

Be so kind and post: emerge -av --update --deep -N world

equery depends gcc
Back to top
View user's profile Send private message
IvanMajhen
Guru
Guru


Joined: 10 Jun 2006
Posts: 385
Location: Croatia

PostPosted: Tue Sep 18, 2007 10:36 am    Post subject: Reply with quote

emerge libstdc++-v3
Back to top
View user's profile Send private message
fabiolone
n00b
n00b


Joined: 18 Sep 2007
Posts: 11

PostPosted: Tue Sep 18, 2007 11:17 am    Post subject: Reply with quote

tw04l124 wrote:
Hi,

Be so kind and post: emerge -av --update --deep -N world

equery depends gcc


mmm..ok i undestand..i must upgrade my system .. ;-)

Code:
Host163 fabio # emerge -av --update --deep -N world

These are the packages that would be merged, in order:

Calculating world dependencies /
!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
x11-plugins/gkrellm-plugins

... done!
[ebuild  N    ] media-libs/audiofile-0.2.6-r3  366 kB
[ebuild  N    ] dev-libs/libdaemon-0.10  USE="-doc" 337 kB
[ebuild     U ] sys-devel/gettext-0.16.1-r1 [0.16.1] USE="nls -doc -emacs -nocxx" 7,780 kB
[ebuild     U ] sys-libs/ncurses-5.6-r1 [5.5-r3] USE="gpm unicode -bootstrap -build -debug -doc -minimal -nocxx -trace" 2,353 kB
[ebuild     U ] sys-kernel/linux-headers-2.6.21 [2.6.17-r2] USE="(-gcc64%)" 4,287 kB
[ebuild  N    ] dev-java/java-config-wrapper-0.13  7 kB
[ebuild     U ] dev-libs/mpfr-2.2.1_p5 [2.2.0_p16] 770 kB
[ebuild   R   ] sys-apps/sed-4.1.5  USE="nls -static" USERLAND="(GNU%*)" 781 kB
[ebuild     U ] app-shells/bash-3.2_p17 [3.1_p17] USE="nls -afs -bashlogger -vanilla" 2,522 kB
[ebuild     U ] sys-devel/m4-1.4.9-r1 [1.4.7] USE="nls -examples%" 596 kB
[ebuild     U ] sys-libs/com_err-1.40.2 [1.39] USE="nls" 3,873 kB
[ebuild     U ] sys-apps/findutils-4.3.8 [4.3.2-r1] USE="nls (-selinux) -static" 1,766 kB
[ebuild     U ] sys-apps/grep-2.5.1a-r1 [2.5.1-r8] USE="nls pcre%* -static (-build%)" 516 kB
[ebuild     U ] sys-devel/flex-2.5.33-r2 [2.5.33-r1] USE="nls -static" 680 kB
[ebuild     U ] sys-apps/gawk-3.1.5-r3 [3.1.5-r2] USE="nls" 2,257 kB
[ebuild     U ] app-editors/nano-2.0.6 [2.0.2] USE="ncurses nls unicode -debug -justify -minimal -slang -spell" 1,285 kB
[ebuild     U ] app-arch/gzip-1.3.12 [1.3.5-r10] USE="nls -pic -static (-build%)" 452 kB
[ebuild     U ] sys-apps/net-tools-1.60-r13 [1.60-r12] USE="nls -static" 298 kB
[ebuild     U ] sys-process/procps-3.2.7 [3.2.6] USE="(-n32)" 276 kB
[ebuild     U ] app-arch/tar-1.18-r2 [1.16-r2] USE="nls -static" 1,834 kB
[ebuild     U ] sys-apps/less-406 [394] USE="unicode" 480 kB
[ebuild     U ] sys-libs/readline-5.2_p4 [5.1_p4] 1,996 kB
[ebuild     U ] sys-devel/bison-2.3 [2.2] USE="nls -static" 1,055 kB
[ebuild     U ] sys-devel/binutils-config-1.9-r4 [1.9-r3] 0 kB
[ebuild     U ] net-misc/rsync-2.6.9-r3 [2.6.9-r1] USE="acl ipv6 -static -xinetd" 793 kB
[ebuild     U ] sys-libs/ss-1.40.2 [1.39] USE="nls" 0 kB
[ebuild  N    ] gnome-base/gnome-common-2.12.0  USE="-debug" 59 kB
[ebuild   R   ] games-misc/fortune-mod-1.99.1-r2  USE="-offensive*" 0 kB
[ebuild     U ] sys-devel/binutils-2.17-r1 [2.16.1-r3] USE="nls -multislot -multitarget -test -vanilla" 13,502 kB
[ebuild     U ] sys-fs/e2fsprogs-1.40.2 [1.39] USE="nls -static" 0 kB
[ebuild     U ] sys-apps/debianutils-2.22.1 [2.17.4] USE="-static" 133 kB
[ebuild     U ] sys-devel/autoconf-2.61-r1 [2.61] USE="-emacs" 1,365 kB
[ebuild     U ] sys-apps/util-linux-2.12r-r7 [2.12r-r5] USE="crypt nls perl -old-crypt (-selinux) -static" 1,509 kB
[ebuild  N    ] dev-lang/nasm-0.98.39-r3  USE="-build -doc" 532 kB
[ebuild     U ] sys-devel/libtool-1.5.24 [1.5.22] USE="-vanilla%" 2,852 kB
[ebuild  N    ] gnome-base/gnome-mime-data-2.18.0  USE="-debug" 593 kB
[ebuild     U ] sys-apps/coreutils-6.9-r1 [6.4] USE="acl nls (-selinux) -static -xattr%" 5,307 kB
[ebuild   R   ] sys-apps/groff-1.19.2-r1  USE="X* -cjk" 2,836 kB
[ebuild  N    ] media-libs/libdca-0.0.5  USE="-debug -oss" 385 kB
[ebuild  N    ] media-libs/libmad-0.15.1b-r2  USE="-debug" 491 kB
[ebuild  N    ] media-libs/a52dec-0.7.4-r5  USE="-djbfft -oss" 236 kB
[ebuild     U ] sys-process/psmisc-22.5-r1 [22.2] USE="X* ipv6 nls (-selinux)" 271 kB
[ebuild     U ] sys-apps/man-1.6e-r3 [1.6d] USE="nls" 247 kB
[ebuild  N    ] app-i18n/man-pages-it-2.43  320 kB
[ebuild     U ] sys-apps/man-pages-2.64 [2.42] USE="nls" 1,799 kB
[ebuild     U ] sys-apps/diffutils-2.8.7-r2 [2.8.7-r1] USE="nls -static" 1,038 kB
[ebuild  N    ] media-libs/libsdl-1.2.11-r2  USE="X alsa -aalib -arts -dga -directfb -esd -fbcon -ggi -libcaca -nas -noaudio -noflagstrip -nojoystick -novideo -opengl -oss -svga -xinerama -xv" 2,731 kB
[ebuild  N    ] media-libs/libmpeg2-0.4.1  USE="X -sdl" 483 kB
[ebuild     UD] media-fonts/corefonts-1-r2 [1-r4] USE="X" 0 kB
[ebuild   R   ] www-client/opera-9.23  USE="gnome* -qt-static -spell" 0 kB
[ebuild  N    ] gnome-base/gail-1.18.0  USE="-debug -doc" 596 kB
[ebuild  N    ] app-admin/eselect-esd-20060719  2 kB
[ebuild  N    ] media-sound/esound-0.2.38  USE="alsa ipv6 tcpd -debug" 385 kB
[ebuild  N    ] dev-libs/libIDL-0.8.8  USE="-debug" 328 kB
[ebuild  N    ] x11-libs/libwnck-2.18.2  USE="-debug -doc" 471 kB
[ebuild  N    ] gnome-base/orbit-2.14.7  USE="-debug -doc" 713 kB
[ebuild     U ] dev-lang/python-2.4.4-r4 [2.4.3-r4] USE="berkdb gdbm ipv6 ncurses readline ssl -bootstrap -build -doc -examples% -nocxx -nothreads% -tk -ucs2" 7,976 kB
[ebuild  N    ] dev-java/java-config-2.0.33-r1  25 kB
[ebuild  N    ] dev-java/java-config-1.3.7  15 kB
[ebuild     U ] sys-apps/file-4.21-r1 [4.20-r1] USE="python" 538 kB
[ebuild  N    ] dev-python/pyrex-0.9.4.1  178 kB
[ebuild  N    ] app-text/iso-codes-0.58  4,322 kB
[ebuild  N    ] gnome-base/gconf-2.18.0.1  USE="-debug -doc" 1,317 kB
[ebuild  N    ] gnome-base/libbonobo-2.18.0  USE="-debug -doc" 1,408 kB
[ebuild     U ] sys-apps/shadow-4.0.18.1-r1 [4.0.18.1] USE="cracklib nls pam -nousuid (-selinux) -skey" 1,481 kB
[ebuild  N    ] dev-python/dbus-python-0.80.2  USE="-test" 443 kB
[ebuild  N    ] x11-libs/libsexy-0.1.10  USE="-debug -doc" 379 kB
[ebuild  N    ] x11-misc/notification-daemon-0.3.7  USE="-debug" 403 kB
[ebuild   R   ] xfce-base/xfce4-session-4.4.1  USE="dbus gnome* -debug" 0 kB
[ebuild  N    ] gnome-base/gnome-menus-2.18.2  USE="python -debug" 427 kB
[ebuild  N    ] x11-libs/libnotify-0.4.4  USE="-doc" 387 kB
[ebuild     U ] dev-libs/openssl-0.9.8e-r2 [0.9.8d] USE="zlib -bindist -emacs -sse2 -test" 3,264 kB
[ebuild     U ] app-misc/ca-certificates-20070303-r1 [20061027.2] 95 kB
[ebuild  N    ] net-misc/neon-0.26.3  USE="nls ssl zlib -expat -socks5" 771 kB
[ebuild     U ] net-misc/openssh-4.7_p1-r1 [4.5_p1-r1] USE="X* pam tcpd -X509 -chroot -hpn -kerberos -ldap -libedit (-selinux) -skey -smartcard -static" 968 kB
[ebuild   R   ] mail-client/mutt-1.5.16  USE="berkdb crypt gdbm nls ssl -debug -gnutls -gpgme -idn -imap -mbox -nntp -pop -qdbm -sasl -sidebar* -smime -smtp -vanilla" 57 kB
[ebuild     U ] sys-libs/glibc-2.5-r4 [2.5] USE="nls nptl nptlonly -build -debug% -glibc-compat20 -glibc-omitfp (-hardened) (-multilib) -profile (-selinux)" 16,182 kB
[ebuild  NS   ] sys-devel/gcc-3.3.6-r1  USE="fortran gtk nls (-altivec) -bootstrap -boundschecking -build -doc -gcj (-hardened) -ip28 -ip32r10k (-multilib) -multislot (-n32) (-n64) -nocxx -nopie -nossp -objc -test -vanilla" 0 kB
[ebuild     U ] sys-devel/gcc-4.1.2 [4.1.1-r3] USE="fortran gtk* mudflap* nls (-altivec) -bootstrap -build -d% -doc -gcj (-hardened) -ip28 -ip32r10k (-multilib) -multislot (-n32) (-n64) -nocxx -objc -objc++ -objc-gc -test -vanilla" 38,840 kB
[ebuild  N    ] virtual/libstdc++-3.3  0 kB
[ebuild  N    ] dev-java/sun-jdk-1.6.0.02  USE="X alsa -doc -examples -jce -nsplugin" 57,040 kB
[ebuild  N    ] virtual/jdk-1.6.0  0 kB
[ebuild  N    ] virtual/jre-1.6.0  0 kB
[ebuild  N    ] dev-lang/swig-1.3.31  USE="java perl python -doc -guile -lua -mono -ocaml -php -pike -ruby -tcl -tk" 4,080 kB
[ebuild  NS   ] sys-libs/db-4.5.20_p2  USE="java -bootstrap -doc -nocxx -tcl -test" 9,068 kB
[ebuild  N    ] sys-libs/libcap-1.10-r9  USE="python" 39 kB
[ebuild  N    ] net-dns/avahi-0.6.19-r2  USE="dbus gdbm gtk python -autoipd -bookmarks -doc -howl-compat -mdnsresponder-compat -mono -qt3 -qt4 -test" 951 kB
[ebuild   R   ] media-video/vlc-0.8.6c  USE="X a52* alsa avahi* dts* dvd hal mp3* mpeg* ncurses opengl* png sdl* skins* truetype win32codecs wxwindows* xv* -3dfx -aalib (-altivec) -arts -bidi -cdda -cddb -corba -daap -dc1394 -debug -directfb -dvb -esd -fbcon -flac -ggi -gnutls -httpd -jack -libcaca -libnotify -lirc -live -matroska -mod -musepack -nsplugin -ogg -optimisememory -oss -rtsp -samba -sdl-image -seamonkey -shout -speex -stream -svg -svga -theora -upnp -v4l -vcd -vlm -vorbis -x264 -xinerama -xml -xosd" 0 kB
[ebuild     U ] sys-apps/baselayout-1.12.9-r2 [1.12.9] USE="unicode -bootstrap -build -static (-ldap%)" 214 kB
[ebuild     U ] sys-apps/module-init-tools-3.2.2-r3 [3.2.2-r2] USE="-old-linux% (-no-old-linux%)" 166 kB
[ebuild     U ] sys-fs/udev-114 [104-r12] USE="(-selinux)" 195 kB
[ebuild   R   ] sys-apps/lm_sensors-2.10.1  USE="-sensord*" 0 kB
[ebuild   R   ] xfce-base/thunar-0.8.0-r3  USE="X dbus gnome* hal pcre -debug -doc -exif -plugins* -startup-notification" 0 kB
[ebuild   R   ] xfce-base/xfdesktop-4.4.1-r1  USE="dbus -debug -doc -minimal" LINGUAS="it* -be -ca -cs -da -de -el -es -et -eu -fi -fr -he -hu -ja -ko -nl -pa -pl -pt_BR -ro -ru -sk -sv -tr -uk -vi -zh_CN -zh_TW" 0 kB
[ebuild  N    ] gnome-base/gnome-vfs-2.18.1  USE="avahi hal ipv6 ssl -debug -doc -gnutls -samba" 1,872 kB
[ebuild  N    ] gnome-base/libgnome-2.18.0  USE="-debug -doc -esd" 1,058 kB
[ebuild   R   ] gnome-extra/libgsf-1.14.3  USE="gnome* python -bzip2 -debug -doc" 0 kB
[ebuild   R   ] gnome-base/librsvg-2.16.1-r2  USE="gnome* zlib -debug -doc" 0 kB
[ebuild  N    ] gnome-base/libbonoboui-2.18.0  USE="X -debug -doc" 959 kB
[ebuild  N    ] gnome-base/libgnomeui-2.18.1  USE="jpeg -debug -doc" 1,428 kB
[ebuild  N    ] gnome-base/gnome-desktop-2.18.2  USE="-debug -doc" 1,273 kB
[ebuild  N    ] gnome-base/eel-2.18.0.1  USE="X -debug" 658 kB
[ebuild  N    ] gnome-base/nautilus-2.18.1-r1  USE="X gnome -beagle -debug" 4,225 kB
[ebuild  N    ] gnome-base/gnome-mount-0.6  USE="gnome -debug" 456 kB

Total: 104 packages (44 upgrades, 1 downgrade, 45 new, 2 in new slots, 12 reinstalls), Size of downloads: 239,661 kB

Would you like to merge these packages? [Yes/No]




thanks..i emerge now.

Fabio
Back to top
View user's profile Send private message
fabiolone
n00b
n00b


Joined: 18 Sep 2007
Posts: 11

PostPosted: Tue Sep 18, 2007 2:16 pm    Post subject: try emerge world and get the same error Reply with quote

hi all,
the problem is the same
i try in order:
Code:
emerge -av --update --deep -N world

and
Code:
emerge -eav system


i emerge libstdc++-v3

but when i try to it
emerge try to compile gcc3.2 and fail

in the emerge world
give me this error

Code:
checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool


how can i resolve it?

many thanks,
Fabio
Back to top
View user's profile Send private message
tw04l124
Veteran
Veteran


Joined: 03 Oct 2006
Posts: 1308
Location: A t z e l, lower austria

PostPosted: Tue Sep 18, 2007 2:24 pm    Post subject: Reply with quote

hi


Try first to get the basic system working: emerge -av --update --deep -N system

Take this list and install manually each package per hand. Also emerge --skipfirst helps.

Also revdep-rebuild helps => gentool package
Back to top
View user's profile Send private message
IvanMajhen
Guru
Guru


Joined: 10 Jun 2006
Posts: 385
Location: Croatia

PostPosted: Tue Sep 18, 2007 4:20 pm    Post subject: Reply with quote

I see that you have real use flag. VLC is using RealPlayer binary which needs libstdc++.so.5.*
Also try emerging virtual/libstdc++.
Back to top
View user's profile Send private message
mark_alec
Bodhisattva
Bodhisattva


Joined: 11 Sep 2004
Posts: 6066
Location: Melbourne, Australia

PostPosted: Wed Sep 19, 2007 6:56 am    Post subject: Reply with quote

Moved from Desktop Environments to Duplicate Threads.

See https://forums.gentoo.org/viewtopic-t-577369.html
_________________
www.gentoo.org.au || #gentoo-au
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum